Foreman - Bug #3653

Recent versions of fog require guest_id to be set.
11/14/2013 05:29 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category: Compute resources

Target version: 1.3.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The error:

Failed to power up a compute vmware (VMWare) instance <FQDN>: GenericVmConfigFault: The configuration file does not
specify a guest operating system. Select a guest operating system from the General page on the Options tab of Virtual Machine
Settings.

Using git develop branch with Gems included by the bundle:

actionmailer (3.2.15)
actionpack (3.2.15)
activemodel (3.2.15)
activerecord (3.2.15)
activeresource (3.2.15)
activesupport (3.2.15)
addressable (2.3.5)
ancestry (2.0.0)
apipie-rails (0.0.24)
arel (3.0.2)

audited (3.0.0)
audited-activerecord (3.0.0)
autoparse (0.3.3)
awesome_print (1.2.0)
builder (3.0.4)

bundler (1.3.5)
capybara (2.0.3)
childprocess (0.3.9)
ci_reporter (1.9.0)
coderay (1.0.9)
coffee-rails (3.2.2)
coffee-script (2.2.0)
coffee-script-source (1.6.3)
database_cleaner (0.9.1)
erubis (2.7.0)

excon (0.28.0)

execjs (2.0.2)

extlib (0.9.16)

facter (1.7.3)
factory_girl (2.6.4)
factory_girl_rails (1.7.0)
faraday (0.8.8)
fast_gettext (0.8.0)

ffi (1.9.3)

flot-rails (0.0.3)

fog (1.18.0)

foreigner (1.4.2)
e formatador (0.2.4)

e gettext (2.3.9)

e gettext_i18n_rails (0.10.1)
e gettext_i18n_rails_js (0.0.8)
e google-api-client (0.6.4)

¢ hike (1.2.3)

e hirb (0.7.1)

e hirb-unicode (0.0.5)
* i18n (0.6.5)

¢ i18n_data (0.4.0)
e immigrant (0.1.5)
e journey (1.0.4)
¢ jquery-rails (2.0.3)
e jquery-ui-rails (4.1.0)
* json (1.8.1)

e jwt (0.1.8)

¢ launchy (2.3.0)
¢ libv8 (3.11.8.17)
¢ |ocale (2.0.9)
e mail (2.5.4)

¢ maruku (0.7.0)
¢ metaclass (0.0.1)
¢ method_source (0.8.2)
e mime-types (1.25)
e mini_portile (0.5.2)
e minitest (4.7.5)
* minitest-spec-rails (4.7.5)
¢ mocha (0.14.0)
e multi_json (1.8.2)
e multipart-post (1.2.0)
e mysql (2.9.1)

e mysql2 (0.3.14)
¢ net-ldap (0.3.1)
e net-scp (1.1.2)
e net-ssh (2.7.0)
¢ nokogiri (1.6.0)
e oauth (0.4.7)

¢ paint (0.8.6)

* pg (0.17.0)

e po_to_json (0.0.7)

¢ polyglot (0.3.3)

e pry (0.9.12.2)

e quiet_assets (1.0.2)

¢ rabl (0.9.0)

¢ rack (1.4.5)

¢ rack-cache (1.2)

¢ rack-openid (1.4.0)

e rack-ssl (1.3.3)

¢ rack-test (0.6.2)

e rails (3.2.15)

e railties (3.2.15)

e rake (10.1.0)

¢ rbovirt (0.0.21)

¢ rbvmomi (1.6.0)

¢ rdoc (3.12.2)

e ref (1.0.5)

e rest-client (1.6.7)

e ruby-hmac (0.4.0)

e ruby-libvirt (0.4.0)

¢ ruby-openid (2.3.0)

¢ ruby2ruby (2.0.1)

e ruby_parser (3.0.4)

¢ rubyzip (0.9.9)

¢ safemode (1.2.0)

e sass (3.2.12)

e sass-rails (3.2.6)

e scoped_search (2.6.0)
selenium-webdriver (2.35.1)
sexp_processor (4.4.0)
signet (0.4.5)
simplecov (0.7.1)
simplecov-html (0.7.1)
single_test (0.6.0)

slop (3.4.6)
spice-html5-rails (0.0.1)
spork (0.9.2)
spork-minitest (0.0.3)
sprockets (2.2.2)
sqlite3 (1.3.8)

sshkey (1.6.0)
term-ansicolor (1.2.2)
text (1.2.3)
therubyracer (0.11.3)
thor (0.18.1)

tilt (1.4.1)

tins (0.12.0)

treetop (1.4.15)

trollop (2.0)
twitter-bootstrap-rails (2.2.6)
tzinfo (0.3.38)

uglifier (2.3.0)

unf (0.1.3)

unf_ext (0.0.6)
unicode-display_width (0.1.1)
uuidtools (2.1.4)
websocket (1.0.7)
will_paginate (3.0.5)
wirb (1.0.2)

xpath (1.0.0)

Related issues:

Related to Foreman - Refactor #3717: Pin fog version to prevent incompatibili... Closed
Related to Foreman - Bug #3945: VMWare VM Build Fails w/ 'Configuration file ... Closed
Has duplicate Foreman - Bug #3680: Foreman does not create VM on VSphere Duplicate

11/21/2013
01/04/2014
11/18/2013

Associated revisions

Revision d80d1c2c - 12/10/2013 11:58 AM - Ewoud Kohl van Wijngaarden

Fixes #3653: Always set the vsphere guest_id, as recent versions of fog require it

History

#1 - 11/14/2013 05:31 PM - Ewoud Kohl van Wijngaarden
Simple PR that works around it: https:/github.com/theforeman/foreman/pull/1023.

#2 - 11/14/2013 06:50 PM - Ewoud Kohl van Wijngaarden
Most likely a regression. Upstream PR by Dominic: https:/github.com/fog/fog/pull/2395.

#3 - 11/15/2013 09:57 AM - Dominic Cleal

- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Target version set to 1.10.0

- translation missing: en.field_release set to 3

#4 - 11/19/2013 10:31 AM - Dominic Cleal
- Has duplicate Bug #3680: Foreman does not create VM on VSphere added

#5 - 11/21/2013 07:03 PM - Dominic Cleal

- Related to Refactor #3717: Pin fog version to prevent incompatibilities added
https://github.com/theforeman/foreman/pull/1023
https://github.com/fog/fog/pull/2395

#6 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#7 - 12/18/2013 02:55 PM - Dominic Cleal
- % Done changed from 0 to 100
- Status changed from Ready For Testing to Closed

Merged as d80d1c2cf8ea9e2abb92¢c1f070f6347649ef8f29 into 1.3-stable only. We'll address this with a newer version of fog as soon as it's available
in1.4.

#8 - 01/04/2014 07:22 PM - Josh Baird
- Related to Bug #3945: VMWare VM Build Fails w/ 'Configuration file does not specify a guest operating system' added
